Byteplant Forum

Home » CleanMail Support » CleanMail Server Talk » bayes db v2 not able to use
bayes db v2 not able to use [message #869] Tue, 02 November 2004 22:43
sjoerd
Messages: 1
Registered: November 2004
Junior Member
Guys,

thanks for the v2 update of nst.

I installed v2 on top of the earlier v 1.5...

when i view the log file there seems to be an error message re the bayes filter

Bayes: bayes db version 2 is not able to be used, aborting! at /PerlApp/Mail/SpamAssassin/BayesStore/DBM.pm line 160.

What's wrong?

regards

Re: bayes db v2 not able to use [message #870 is a reply to message #869] Wed, 03 November 2004 13:09 Go to previous message
support
Messages: 919
Registered: April 2004
Senior Member
If you see this message while updating a version 2 Bayes DB, please ignore this message, it is misleading. It is a 'feature' of SpamAssassin, and we were unable to get rid of it. Everything is fine.

If you see this message in the log while NoSpamToday! is running, you did not upgrade the Bayes DB upon installation. You can do it by hand. Execute the following steps:

- open a command line window, and cd to the installation diretory
- execute the following command:
sa\sa-learn -c sa\ruleset --sync
- Wait a few minutes, and ignore any error messages (see above).



Post Edited (11-09-04 11:38)


Customer Support
Byteplant GmbH
Re: bayes db v2 not able to use [message #871 is a reply to message #869] Thu, 04 November 2004 16:40 Go to previous message
tiger1vic
Messages: 9
Registered: November 2004
Junior Member
Might this be related to the version of perl being used as noted in the SA docs?

http://spamassassin.apache.org/full/3.0.x/dist/UPGRADE
Re: bayes db v2 not able to use [message #872 is a reply to message #871] Fri, 05 November 2004 14:03 Go to previous message
support
Messages: 919
Registered: April 2004
Senior Member
tiger1vic wrote:

> Might this be related to the version of perl being used as
> noted in the SA docs?
>
> http://spamassassin.apache.org/full/3.0.x/dist/UPGRADE

No. It is SpamAssassin's way to tell us that it has found a version 2 database, and that it should be updated. Unfortunately it is also being printed when you are in fact updating the database, in this case you can ignore it.



Customer Support
Byteplant GmbH
Re: bayes db v2 not able to use [message #873 is a reply to message #872] Tue, 09 November 2004 11:44 Go to previous message
support
Messages: 919
Registered: April 2004
Senior Member
To summarize:

Upgraders from version 1 (SpamAssassin 2.64) should select the "upgrade Bayes DB" task during setup, or move the database away.

Note that the database upgrade takes a few minutes.



Customer Support
Byteplant GmbH
Previous Topic: Version 2.0
Next Topic: service stops for no reason?
Goto Forum:
  


Current Time: Fri Dec 09 18:23:35 CET 2016